---
title: RTCInboundRtpStreamStats.packetsDuplicated
slug: Web/API/RTCInboundRtpStreamStats/packetsDuplicated
tags:
  - API
  - Duplicate
  - Packets
  - Property
  - RTCInboundRtpStreamStats
  - RTP
  - Reference
  - Repeat
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - packetsDuplicated
  - stream
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>packetsDuplicated</code></strong> property of the {{domxref("RTCInboundRtpStreamStats")}} dictionary indicates the total number of packets discarded because they were duplicates of previously-received packets.</span> These packets are not counted by the {{domxref("RTCInboundRtpSreamStats.packetsDiscarded", "packetsDiscarded")}} property.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>packetsDuplicated</em> = <em>rtcInboundRtpStreamStats</em>.packetsDuplicated;</pre>

<h3 id="Value">Value</h3>

<p>An integer value which specifies how many duplcate packets have been received by the local end of this RTP stream so far. These duplicate packets are not included in the {{domxref("RTCInboundRtpSreamStats.packetsDiscarded", "packetsDiscarded")}} property.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>Duplicate packets are detected when a packet has the same RTP sequence number as another packet that has previously been processed. Each time a packet is repeated, the value of <code>packetsDuplicated</code> is incremented, even if the same packet is received more than twice.</p>

<p>You can get a more accurate tally of how many packets have been lost on the stream by adding <code>packetsDuplicated</code> to {{domxref("RTCInboundRtpSreamStats.packetsLost", "packetsLost")}}. The resulting value will be positive, although it will not match the count as computed in {{RFC(3660)}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcinboundrtpstreamstats-packetsduplicated', 'RTCInboundRtpStreamStats.packetsDuplicated')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCInboundRtpStreamStats.packetsDuplicated")}}</p>
